Subject: bug#19242: latest grep considers text files as binary

From: Thomas Wolff <[email-masked]>
Date: Mon, 01 Dec 2014 18:05:51 +0100

Since grep 2.21, grep fails to report matches in a UTF-8 file with a few
non-UTF-8 bytes interspersed. This is likely to be related to one of the
recent patches related to encoding or multi-byte issues I see in the 
change log.

I have a number of large UTF-8 source files with some non-UTF-8 characters
used as constants and it was quite useful that grep nonetheless would
simply report the requested matches. Now it claims just
"Binary file ... matches" even if the file contains only one single
non-UTF-8 byte which I consider quite inappropriate.
I would appreciate to get the previous behaviour restored, at least in a
UTF-8 locale, as the mentioned patches are apparently intended to fix
issues in non-UTF-8 locales.

Kind regards,
Thomas